Subject: bug#8342: 24.0.50; Emacs HEAD cannot build with OS X standard autoconf

From: Glenn Morris <[email-masked]>
Date: Fri, 25 Mar 2011 14:36:24 -0400

(I think the following off-list stuff is worth having in the bug report).

Steve Purcell wrote (on Fri, 25 Mar 2011 at 18:26 +0000):

> On 25 Mar 2011, at 18:24, Glenn Morris wrote:
> 
> > Steve Purcell wrote (on Fri, 25 Mar 2011 at 18:18 +0000):
> > 
> >> Dependencies can be specified, but autoconf won't get into Homebrew
> >> because Homebrew aims to avoid providing packages that Apple already
> >> provide, presumably in the interest of avoiding compatibility
> >> issues. That goal seems to be surprisingly possible, and there are
> >> around 1500 packages right now that don't require a newer autoconf
> >> than Apple's.
> > 
> > How many of the 1500 have you actually checked, and how many of those
> > offer the option to build from the repository as opposed to the last
> > stable release?
> 
> I haven't checked, but many recipes support the --head build option.
> 
> > Because the first one I looked at, GNU coreutils (Apple don't provide
> > coreutils?) did not even seem to offer the option to build from the
> > repo, and when I look at the repo, they do not include configure, and
> > require autoconf 2.62.
> > 
> That recipe would not, then, support the --head option.